cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniele Madama" <d.mad...@pronetics.it>
Subject Re: Do we want a GUI installer?
Date Thu, 22 Sep 2005 15:14:01 GMT

> Daniele Madama wrote:
>>>* Gianugo Rabellino:
>>>
>>>
>>>>I think  so, Cocoon  2.1 is  here to stay  for a  while. FWIW, a
>>>>colleague of mine  (Daniele Madama) wrote a small  GUI to manage
>>>>blocks selection  (think make xconfig for  the linux kernel). If
>>>>you  deem  it useful,  my  take  is  Daniele  would be  glad  to
>>>>contribute it.
>>>
>>>On FreeBSD, there is a Cocoon  installer that has such a GUI.  See
>>>attached screenshot.  This is based on a BSD Makefile.
>>
>> My installer is similar to this, but it is written in SWING. It has a
>> selection of blocks (read and pre-selected from
>> [local.]blocks.properties)
>> with their description (read from gump.xml) and it will have a selection
>> from principal build.properties (like samples, javadoc, and more).
>>
>> I hope to have time to finish some feature and donate it, if you want
>> and
>> if you think that it was useful. ;)
>
> Since the scope of the work required of the AntInstaller and yours isn't
> that different, I'd be interested to see yours.

Thanks for your interest, I really hope this small application might serve
the needs of the cocoon community.

If you think the application might suit your needs, I'll gladly post the
source to bugzilla. To try it out:

http://www.pronetics.it/transfer/cbuilder-0.1-idea.jar

For execute:
1) put the jar in $COCOON_HOME
2) backup your local.blocks.properties ;)
3) java -jar cbuilder-0.1-idea.jar

this work only on BRANCH_2_1_X version, if you have an older version,
execute it with 'java -cp lib/endorsed/x*.jar
org.apache.cocoon.builder.CocoonBuilder'.

I'm waiting for your hints or opinion.

Regards

Daniele


>
> Interesting to see that you use the descriptions from gump.xml. I put
> those there when I was planning to do build this installer, for the very
> purpose you are using them for!
>
> Regards, Upayavira
>


-- 
The box said "Requires Windows 95/98/Me/Nt/2k/XP or better" .... so I
installed Linux !
-o=|=o-

Daniele Madama

Pro-netics s.r.l.
Via Elio Lampridio Cerva 127/c
Roma
Tel. 0651530849
http://www.pronetics.it


Mime
View raw message